From: <a href="/blend/av.cgi?id=1348">blakey</a><BR>
Date: 22 May 2007<P>

chris, about <a href="/blend/wv.cgi?id=2007.05.21.00.56.15258">Cuba Libre</a>: Once again, I find your writing incredibly amazing. It almost make me want to travel to the southwest to experience what you describe myself.
<HR>
From: <a href="/blend/av.cgi?id=1348">blakey</a><BR>
Date: 22 May 2007<P>

Wonderful issue Kirk. I don't know how you make your picks, but every month you never fail to present a great selection. Congrats to all Front Pagers!
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 22 May 2007<P>

Thanks peeps for the b-day wishes and song!  So far, the 40's have been the best!  
<HR>
From: <a href="/blend/av.cgi?id=1139">jwb71913</a><BR>
Date: 22 May 2007<P>

Nice work all.  So many points of view in the May digest.  I don't envy the editor at all.  Jim
<HR>